TRANSACTION_REQUIRED (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class TRANSACTION_REQUIRED

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.omg.CORBA.TRANSACTION_REQUIRED

All Implemented Interfaces:
  Serializable

public final class TRANSACTION_REQUIRED
extends SystemException

Exception indicates that the request carried a null transaction context, but an active transaction is required.

It contains a minor code, which gives information about what caused the exception, and a completion status. It may also contain a string describing the exception. The OMG Transaction Service specfication has details.

See Also:
  documentation on Java IDL exceptions

Field Summary

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`TRANSACTION_REQUIRED()` Constructs a `TRANSACTION_REQUIRED` exception with a default minor code of 0, a completion state of CompletionStatus.COMPLETED_NO, and a null description.
`TRANSACTION_REQUIRED(int minor, CompletionStatus completed)` Constructs a `TRANSACTION_REQUIRED` exception with the specified minor code and completion status.
`TRANSACTION_REQUIRED(String s)` Constructs a `TRANSACTION_REQUIRED` exception with the specified description message, a minor code of 0, and a completion state of COMPLETED_NO.
`TRANSACTION_REQUIRED(String s, int minor, CompletionStatus completed)` Constructs a `TRANSACTION_REQUIRED` exception with the specified description message, minor code, and completion status.

Methods inherited from class org.omg.CORBA.SystemException
`toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TRANSACTION_REQUIRED

    public TRANSACTION_REQUIRED()

  Constructs a `TRANSACTION_REQUIRED` exception with a default minor code of 0, a completion state of CompletionStatus.COMPLETED_NO, and a null description.

### TRANSACTION_REQUIRED

    public TRANSACTION_REQUIRED(String s)

  Constructs a `TRANSACTION_REQUIRED` exception with the specified description message, a minor code of 0, and a completion state of COMPLETED_NO.

Parameters:
  `s` - the String containing a detail message

### TRANSACTION_REQUIRED

    public TRANSACTION_REQUIRED(int minor,
                                CompletionStatus completed)

  Constructs a `TRANSACTION_REQUIRED` exception with the specified minor code and completion status.

Parameters:
  `minor` - the minor code
  `completed` - the completion status

### TRANSACTION_REQUIRED

    public TRANSACTION_REQUIRED(String s,
                                int minor,
                                CompletionStatus completed)

  Constructs a `TRANSACTION_REQUIRED` exception with the specified description message, minor code, and completion status.

Parameters:
  `s` - the String containing a description message
  `minor` - the minor code
  `completed` - the completion status

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.